> ## Documentation Index
> Fetch the complete documentation index at: https://developer.lemlist.com/llms.txt
> Use this file to discover all available pages before exploring further.

> Modifies aspects of an existing task including assignment, scheduling, and status.

# Update Task

export const SnippetObjectReference = ({objectName, objectPath = null}) => {
  const lowerCaseObjectName = objectName.toLowerCase();
  if (lowerCaseObjectName === 'lead' || lowerCaseObjectName === 'leads') {
    return <Note>
        This endpoint uses the <a href={`/api-reference/objects-definitions/${objectPath}`}>{objectName} object</a>. Make sure to also check the <a href={`/api-reference/objects-definitions/${lowerCaseObjectName === 'lead' ? 'contact' : 'lead'}`}>{lowerCaseObjectName === 'lead' ? 'Contact' : 'Lead'} object</a> to understand the distinction between the two.
      </Note>;
  }
  return <Note>
      This endpoint uses the <a href={`/api-reference/objects-definitions/${objectPath}`}>{objectName} object</a>.
    </Note>;
};

<SnippetObjectReference objectName="Task" objectPath="task" />

## Updatable Fields

All fields are optional except `id`:

* **Assignment**: Change the assigned team member with `assignedTo`
* **Schedule**: Update the `dueDate`
* **Details**: Modify `title` or `message` content
* **Priority**: Set priority level (0=low, 1=medium, 2=high, ""=none)
* **Status**: Mark as complete with `done: true`
* **LinkedIn media** (LinkedIn tasks only): Replace attached files via `images` and `videos`. Pass an empty array to clear them. See the [LinkedIn task attachments](/api-reference/endpoints/tasks/create-task#linkedin-task-attachments) section on Create Task for size, MIME, and count limits

<Note>
  Passing `images` or `videos` to a non-LinkedIn task returns `400` with `LINKEDIN_MEDIA_INVALID_TYPE`.
</Note>

Examples:

<CodeGroup>
  ```json mark as done theme={"theme":"dracula"}
  {
      "id": "opp_abc123",
      "done": true
  }
  ```

  ```json reassign and reschedule: theme={"theme":"dracula"}
  {
      "id": "opp_abc123",
      "assignedTo": "usr_xyz789",
      "dueDate": "2025-03-15T10:00:00.000Z"
  }
  ```

  ```json attach LinkedIn media theme={"theme":"dracula"}
  {
      "id": "opp_abc123",
      "images": [
          "https://example.com/assets/overview.png"
      ],
      "videos": []
  }
  ```
</CodeGroup>


## OpenAPI

````yaml patch /tasks
openapi: 3.0.0
info:
  title: lemlist API
  version: 1.0.0
  description: >-
    Welcome to the lemlist Developer Documentation.


    lemlist is very customizable and open. You'll find on this page all the API
    and integration you can do with lemlist.


    # Rate Limit


    lemlist's API rate limits requests in order to prevent abuse and overload of
    our services.  

    Rate limits are applied on all routes and per API key performing the
    request.  

    The rate limits are **20** requests per **2** seconds.  

    The response provides any information you may need about it:


    | Header | Description |

    | --- | --- |

    | Retry-After | The number of seconds in which you can retry |

    | X-RateLimit-Limit | The maximum requests in that time |

    | X-RateLimit-Remaining | The number of remaining requests you can make |

    | X-RateLimit-Reset | The date when the rate limit will reset |


    _Example of values for the rate limit headers_


    ``` json

    {
        "Retry-After": 2,
        "X-RateLimit-Limit": 20,
        "X-RateLimit-Remaining": 7,
        "X-RateLimit-Reset" : "Tue Feb 16 2021 09:02:42 GMT+0100 (Central European Standard Time)"
    }

     ```

    # Definitions


    ## Team


    A team is the entity of lemlist that can handle users and billing.


    ## Credits


    Credits are the coins a team uses to enrich emails, LinkedIn URLs, etc. via
    the enrich route. Each enrichment feature needs a certain amount of credits
    to run.


    ## User


    You use a user account to connect to lemlist and send messages via the
    connected emails or LinkedIn account.


    ## Campaign


    A campaign is the entity to automate outreach. A campaign has multiple
    sequences composed of steps.


    ## Lead


    A lead is a person that you try to contact via a campaign.


    ## Activity


    An activity is the history of all the steps.


    ## Unsubscribe


    An unsubscribe occurs when a person decides they don't want to receive
    emails from you anymore.


    # Authentication


    All API routes use the dedicated subdomain `api.lemlist.com`.


    lemlist uses API keys to allow access to the API. You can get your lemlist
    API key at our [integration
    page](https://app.lemlist.com/settings/integrations).


    You need to add the `Authorization` header using the `Basic` authentication
    type. `login:password` **where the login is always empty and the password is
    the API key**.


    ⚠️ **Don't forget to add the semicolon (**`:`**) before your API key in curl
    command.**


    > To authorize, use this code: 
      

    ``` shell

    curl https://api.lemlist.com/api/team \
      --user ":YourApiKey"

     ```

    **Make sure to replace** **`YourApiKey`** **with your API key.**


    # Give feedback


    If you want to report a bug, ask for data, or share with us a use case,
    please fill this [form](https://lemlist.typeform.com/to/mfVlkyGf). It will
    help us centralize your needs!
servers:
  - url: https://api.lemlist.com/api
security:
  - basicAuth: []
paths:
  /tasks:
    patch:
      tags:
        - Tasks
      summary: Update Task
      description: >-
        Update task details such as assignment, due date, title, message,
        priority, or completion status.
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                id:
                  type: string
                  description: The unique identifier of the task to update
                assignedTo:
                  type: string
                  description: The ID of the team member to assign the task to (userId)
                dueDate:
                  type: string
                  format: date-time
                  description: Updated due date in ISO 8601 format
                title:
                  type: string
                  description: Updated task title
                message:
                  type: string
                  description: Updated task message/description
                priority:
                  type: string
                  description: Priority level of the task
                  enum:
                    - ''
                    - '0'
                    - '1'
                    - '2'
                done:
                  type: boolean
                  description: Mark task as completed
                images:
                  type: array
                  items:
                    type: string
                    format: uri
                  description: >-
                    Public HTTPS URLs of images to attach to a LinkedIn task.
                    Replaces the task's current images — pass an empty array to
                    clear them. Returns `400` (`LINKEDIN_MEDIA_INVALID_TYPE`)
                    when the target task is not a LinkedIn task. Allowed MIME
                    types: `image/png`, `image/jpeg`, `image/gif`. Up to 20 MB
                    per file, and up to 6 items total combined with `videos`.
                videos:
                  type: array
                  items:
                    type: string
                    format: uri
                  description: >-
                    Public HTTPS URLs of videos to attach to a LinkedIn task.
                    Replaces the task's current videos — pass an empty array to
                    clear them. Returns `400` (`LINKEDIN_MEDIA_INVALID_TYPE`)
                    when the target task is not a LinkedIn task. Allowed MIME
                    types: `video/mp4`, `video/quicktime`. Up to 20 MB per file,
                    and up to 6 items total combined with `images`.
              required:
                - id
            example:
              id: opp_0Ieq2qRMg5EIeUMFV
              title: My new title
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Task'
              example:
                _id: opp_KNQOrrlGnLvEXDDS9
                type: manual
                title: Check him out
                priority: 2
                dueDate: '2025-10-31T07:58:00.000Z'
                userId: usr_ahfFktBBHUIxbVG5P
                content: Really glad we started using lemlist
        '400':
          description: 'Possible errors: Bad team / Bad method'
          content:
            text/plain:
              example: Bad team
        '401':
          description: The authentication you supplied is incorrect
          content:
            text/plain:
              example: The authentication you supplied is incorrect
        '405':
          description: Method not allowed
components:
  schemas:
    Task:
      type: object
      description: A manual action assigned to a user to complete.
      properties:
        _id:
          type: string
          description: Unique task identifier
        type:
          type: string
          description: Task type
        leadId:
          type: string
          description: Associated lead ID
        campaignId:
          type: string
          description: Campaign ID
        userId:
          type: string
          description: Assigned user ID
        status:
          type: string
          description: Task status
          enum:
            - pending
            - completed
            - ignored
        dueDate:
          type: string
          format: date-time
          description: Due date timestamp
        createdAt:
          type: string
          format: date-time
          description: Creation timestamp
        completedAt:
          type: string
          format: date-time
          description: Completion timestamp
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic

````